From 63576d458db8a10719c6b9c8a1f423624afa96e9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 25 2020 08:13:25 +0000
Subject: [PATCH 62/2232] Move build -> tools/bazel


Fixes https://github.com/dtolnay/cxx/issues/45.

---

diff --git a/BUILD b/BUILD
index 5d463b2..0405df1 100644
--- a/BUILD
+++ b/BUILD
@@ -1,4 +1,4 @@
-load("//:build/rust.bzl", "rust_binary", "rust_library")
+load("//tools/bazel:rust.bzl", "rust_binary", "rust_library")
 
 rust_library(
     name = "cxx",
diff --git a/demo-rs/BUILD b/demo-rs/BUILD
index 674b3d9..389ee58 100644
--- a/demo-rs/BUILD
+++ b/demo-rs/BUILD
@@ -1,4 +1,4 @@
-load("//:build/rust.bzl", "rust_binary", "rust_library")
+load("//tools/bazel:rust.bzl", "rust_binary", "rust_library")
 
 rust_binary(
     name = "demo-rs",
diff --git a/tests/BUILD b/tests/BUILD
index a88cde5..16825f6 100644
--- a/tests/BUILD
+++ b/tests/BUILD
@@ -1,4 +1,4 @@
-load("//:build/rust.bzl", "rust_library", "rust_test")
+load("//tools/bazel:rust.bzl", "rust_library", "rust_test")
 
 rust_test(
     name = "test",
diff --git a/third-party/BUILD b/third-party/BUILD
index e2f6d76..9af57d1 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -1,5 +1,5 @@
 load(
-    "//:build/rust.bzl",
+    "//tools/bazel:rust.bzl",
     rust_binary = "third_party_rust_binary",
     rust_library = "third_party_rust_library",
 )
diff --git a/tools/bazel/rust.bzl b/tools/bazel/rust.bzl
new file mode 100644
index 0000000..3ef4d91
--- /dev/null
+++ b/tools/bazel/rust.bzl
@@ -0,0 +1,23 @@
+load(
+    "@io_bazel_rules_rust//rust:rust.bzl",
+    _rust_binary = "rust_binary",
+    _rust_library = "rust_library",
+    _rust_test = "rust_test",
+)
+
+def rust_binary(edition = "2018", **kwargs):
+    _rust_binary(edition = edition, **kwargs)
+
+def third_party_rust_binary(rustc_flags = [], **kwargs):
+    rustc_flags = rustc_flags + ["--cap-lints=allow"]
+    rust_binary(rustc_flags = rustc_flags, **kwargs)
+
+def rust_library(edition = "2018", **kwargs):
+    _rust_library(edition = edition, **kwargs)
+
+def third_party_rust_library(rustc_flags = [], **kwargs):
+    rustc_flags = rustc_flags + ["--cap-lints=allow"]
+    rust_library(rustc_flags = rustc_flags, **kwargs)
+
+def rust_test(edition = "2018", **kwargs):
+    _rust_test(edition = edition, **kwargs)

